[Qgis-user] ECW support on Ubuntu

Micha Silver micha at arava.co.il
Wed May 19 15:10:20 EDT 2010


For ubunteros using the UbuntuGIS repository who require ECW support:

I noticed that the latest update bumps gdal to 1.7.2 and you then loose 
ECW. Here's how to get it back:


After an update check the gdal version:

gdalinfo --version
GDAL 1.7.2, released 2010/04/23

Now check for ecw:
gdalinfo --formats | grep -i ecw
(returns nothing, indicating that ECW is gone)

So:
sudo apt-get purge gdal-ecw-src  # get rid of the old source pkg
sudo apt-get autoremove
sudo apt-get install libgdal-ecw-src  # Add the source pkg for gdal 1.7

Next, I'm assuming that the libecw SDK is already installed on your 
system. The includes and libs, by default, are installed under 
/usr/local, so:
sudo gdal-ecw-build /usr/local/   # build the new gdal-ecw plugin
sudo ldconfig
gdalinfo --formats | grep -i ecw
  ECW (rw): ERMapper Compressed Wavelets
  JP2ECW (rw+): ERMapper JPEG2000

and you're back in business.

-- 
Micha Silver
Arava Development Co. +972-52-3665918
http://www.surfaces.co.il
 



More information about the Qgis-user mailing list